Skip to main content
PATCH
/
v1
/
servers
/
{id}
Update a server
curl --request PATCH \
  --url https://api.magne.app/v1/servers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "iconUrl": "<string>",
  "bannerUrl": "<string>",
  "entranceChannelId": "<string>",
  "afkChannelId": "<string>",
  "jtcChannelId": "<string>",
  "isPublic": true,
  "requireApproval": true,
  "tags": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "iconUrl": "<string>",
  "bannerUrl": "<string>",
  "description": "<string>",
  "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isPublic": true,
  "requireApproval": true,
  "entranceChannelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "afkChannelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "jtcChannelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tags": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string | null
description
string | null
iconUrl
string | null
bannerUrl
string | null
entranceChannelId
string | null
afkChannelId
string | null
jtcChannelId
string | null
isPublic
boolean | null
requireApproval
boolean | null
tags
string[] | null

Response

Success

id
string<uuid>
name
string
iconUrl
string | null
bannerUrl
string | null
description
string | null
ownerId
string<uuid>
isPublic
boolean
requireApproval
boolean
entranceChannelId
string<uuid> | null
afkChannelId
string<uuid> | null
jtcChannelId
string<uuid> | null
tags
string[]
createdAt
string<date-time>